<template>
  <section>
    <LinkChildHeader
      :title="routeLink"
      back-url="/tracker"
      back-title="К списку ссылок"
    >
      <div class="mt-3 mt-lg-5 mb-3 mb-lg-5">
        <h3>Полный адрес</h3>
        <p class="text-truncate" v-if="link?.redirectUrl">
          {{ link.redirectUrl }}
        </p>
      </div>
    </LinkChildHeader>
    <ContentState :is-loading="isLoading" :is-error="isError">
      <div>
        <LinkStatisticTable v-if="hasStatistic" :items="statistic.stats" />
        <span v-else>Данных нет</span>
      </div>
    </ContentState>
  </section>
</template>

<script setup>
import { computed } from "vue";
import { storeToRefs } from "pinia";
import { useRoute } from "vue-router";
import { useLinkStore } from "../stores";
import ContentState from "../../../components/ContentState.vue";
import LinkStatisticTable from "../components/LinkStatisticTable.vue";
import LinkChildHeader from "../components/LinkChildHeader.vue";

const store = useLinkStore();

const { getLinkData } = store;
const { isLoading, isError, statistic, link } = storeToRefs(store);
const route = useRoute();
const routeLink = computed(() => `${route.params.domain}/${route.params.uid}`);
const routeUid = computed(() => route.params.uid);
const hasStatistic = computed(() => statistic.value.stats?.length > 0);
routeUid.value && getLinkData(routeUid.value);
</script>
